import Vue from 'vue';
import Router from 'vue-router';
Vue.use(Router);

export default new Router({
  mode: 'history',
  base: process.env.NODE_ENV === 'development' ? '' : process.env.VUE_APP_ROUTER,
  routes: [
    {
      path: '/',
      name: 'home',
      component: () => import('../views/home/index.vue'),
    },
    // 用户信息维护
    {
      path: '/userManage/user/index',
      component: () => import('../views/userManage/user/index.vue'),
    },
    {
      path: '/userManage/user/detail',
      component: () => import('../views/userManage/user/detail.vue'),
    },
    // 企业信息管理
    {
      path: '/userManage/companyInfo/index',
      component: () => import('../views/userManage/companyInfo/index.vue'),
    },
    {
      path: '/userManage/companyInfo/detail',
      component: () => import('../views/userManage/companyInfo/detail.vue'),
    },
    // 企业类别管理
    {
      path: '/userManage/companyType/index',
      component: () => import('../views/userManage/companyType/index.vue'),
    },
    {
      path: '/userManage/companyType/detail',
      component: () => import('../views/userManage/companyType/detail.vue'),
    },
    // 专家信息管理
    {
      path: '/userManage/expertInfo/index',
      component: () => import('../views/userManage/expertInfo/index.vue'),
    },
    {
      path: '/userManage/expertInfo/detail',
      component: () => import('../views/userManage/expertInfo/detail.vue'),
    },
    // 新闻管理
    // 新闻管理-通知公告
    {
      path: '/news/notice/index',
      component: () => import('../views/news/notice/index.vue'),
    },
    {
      path: '/news/notice/detail',
      component: () => import('../views/news/notice/detail.vue'),
    },
    // 新闻管理-创新吉林
    {
      path: '/news/innovate/index',
      component: () => import('../views/news/innovate/index.vue'),
    },
    {
      path: '/news/innovate/detail',
      component: () => import('../views/news/innovate/detail.vue'),
    },
    // 新闻管理-国内动态
    {
      path: '/news/domestic/index',
      component: () => import('../views/news/domestic/index.vue'),
    },
    {
      path: '/news/domestic/detail',
      component: () => import('../views/news/domestic/detail.vue'),
    },
    // 新闻管理-政务活动
    {
      path: '/news/govern/index',
      component: () => import('../views/news/govern/index.vue'),
    },
    {
      path: '/news/govern/detail',
      component: () => import('../views/news/govern/detail.vue'),
    },
    // 新闻管理-媒体聚焦
    {
      path: '/news/media/index',
      component: () => import('../views/news/media/index.vue'),
    },
    {
      path: '/news/media/detail',
      component: () => import('../views/news/media/detail.vue'),
    },
    // 新闻管理-信息审核
    {
      path: '/news/examine/index',
      component: () => import('../views/news/examine/index.vue'),
    },
    // 政策管理
    // 政策管理-科技成果转化
    {
      path: '/policy/achieve/index',
      component: () => import('../views/policy/achieve/index.vue'),
    },
    {
      path: '/policy/achieve/detail',
      component: () => import('../views/policy/achieve/detail.vue'),
    },
    // 政策管理-科技人才
    {
      path: '/policy/personal/index',
      component: () => import('../views/policy/personal/index.vue'),
    },
    {
      path: '/policy/personal/detail',
      component: () => import('../views/policy/personal/detail.vue'),
    },
    // 政策管理-知识产权
    {
      path: '/policy/property/index',
      component: () => import('../views/policy/property/index.vue'),
    },
    {
      path: '/policy/property/detail',
      component: () => import('../views/policy/property/detail.vue'),
    },
    // 政策管理-税收与金融
    {
      path: '/policy/finance/index',
      component: () => import('../views/policy/finance/index.vue'),
    },
    {
      path: '/policy/finance/detail',
      component: () => import('../views/policy/finance/detail.vue'),
    },
    // 政策管理-创新平台与园区
    {
      path: '/policy/park/index',
      component: () => import('../views/policy/park/index.vue'),
    },
    {
      path: '/policy/park/detail',
      component: () => import('../views/policy/park/detail.vue'),
    },
    // 政策管理-政策卡片
    {
      path: '/policy/card/index',
      component: () => import('../views/policy/card/index.vue'),
    },
    {
      path: '/policy/card/detail',
      component: () => import('../views/policy/card/detail.vue'),
    },
    // 政策管理-政策解读
    {
      path: '/policy/unscra/index',
      component: () => import('../views/policy/unscra/index.vue'),
    },
    {
      path: '/policy/unscra/detail',
      component: () => import('../views/policy/unscra/detail.vue'),
    },
    // 政策管理-政策书籍
    {
      path: '/policy/book/index',
      component: () => import('../views/policy/book/index.vue'),
    },
    {
      path: '/policy/book/detail',
      component: () => import('../views/policy/book/detail.vue'),
    },
    // 政策管理-政策报告
    {
      path: '/policy/present/index',
      component: () => import('../views/policy/present/index.vue'),
    },
    {
      path: '/policy/present/detail',
      component: () => import('../views/policy/present/detail.vue'),
    },
    // 科技超市
    // 科技超市-科技超市类别管理
    {
      path: '/supermarket/type/index',
      component: () => import('../views/supermarket/type/index.vue'),
    },
    {
      path: '/supermarket/type/detail',
      component: () => import('../views/supermarket/type/detail.vue'),
    },
    // 科技超市-产品服务类别管理
    {
      path: '/supermarket/service/index',
      component: () => import('../views/supermarket/service/index.vue'),
    },
    {
      path: '/supermarket/service/detail',
      component: () => import('../views/supermarket/service/detail.vue'),
    },
    // 科技超市-产品服务审核管理
    {
      path: '/supermarket/seviceShen/index',
      component: () => import('../views/supermarket/seviceShen/index.vue'),
    },
    // 科技超市-供需信息分类管理
    {
      path: '/supermarket/message/index',
      component: () => import('../views/supermarket/message/index.vue'),
    },
    {
      path: '/supermarket/message/detail',
      component: () => import('../views/supermarket/message/detail.vue'),
    },
    // 科技超市-供需信息审核管理
    {
      path: '/supermarket/messageShen/index',
      component: () => import('../views/supermarket/messageShen/index.vue'),
    },
    // 科技超市-交易申请认证
    {
      path: '/supermarket/trans/index',
      component: () => import('../views/supermarket/trans/index.vue'),
    },
    // 科技超市-交易申请审核
    {
      path: '/supermarket/transShen/index',
      component: () => import('../views/supermarket/transShen/index.vue'),
    },
  ],
});
